<?php

namespace App\Datatables\Shop;

use App\Datatables\ParentDataTable as DataTable;
use App\Models\Shop\Customer;
use Yajra\DataTables\Html\Column;

class CustomerDeliveriesDataTable extends DataTable
{
    public $model_name = 'customer_deliveries';

    public function query(Customer $model)
    {
        return $this->buildQuery($model);
    }

    protected function getColumns()
    {
        return [
            Column::make('name')->title('Nom'),
            Column::make('address')->title('Adresse'),
            Column::make('zipcode')->title('Code postal'),
            Column::make('city')->title('Ville'),
            $this->makeColumnButtons(),
        ];
    }
}
